Changes between Version 4 and Version 5 of CompilingMindSeer


Ignore:
Timestamp:
12/11/06 15:38:13 (12 years ago)
Author:
ebmoore
Comment:

Removed the Java 1.5 requirement

Legend:

Unmodified
Added
Removed
Modified
  • CompilingMindSeer

    v4 v5  
    1010 1. Go into the Project Build Path (under project>perferences>java build path) and set the '''Source'''  to exlude files '''**/Mac*.java''' (unless you are on a Mac). 
    1111 1. Go into the Project Build Path (under project>perferences>java build path) and set the '''Libraries'''  to point at everything in the lib directory. 
    12  1. Do one of the following with javaws.jar ''or'' jnlp.jar (one of these should be in the java install directory): 
    13    1. Copy ''or'' link the jar file into the lib directory and add to the Library build path. 
    14    1. Add the jar file to the build path. 
    15  1. Ensure Java 5 is the default. 
     12 1. Ensure Java 5+ is the default. 
    1613 1. Run ant with target help (open build.xml, browse the outline for help, right click and run) to make sure the help file is up to date.  Add help.jar to the Library build path. 
    1714 1. (Optional) change the compile warnings for serialUID to no warning.  I disagree with the need to set this number because I ''want'' different versions to be incompatible.  
     
    2219 1. Install [wiki:Ant] 
    2320 1. Get MindSeer out of SVN 
    24  1. Do one of the following with javaws.jar ''or'' jnlp.jar (one of these should be in the java install directory): 
    25     1. Copy ''or'' link the jar file into the lib directory with name '''jnlp.jar'''. 
    26     1. make sure to call ant with the parameter -Djnlp=''location of the jar file'' (notice no space after the '='). 
    2721 1. Run [wiki:Ant], read build.xml's header for target information.